# $Revision: 1.4 $, $Date: 2005/04/23 12:30:41 $
%define		pname pyphany
Summary:	Python Epiphany bindings
Summary:	Dowizania Pythona dla Epiphany
Name:		python-epiphany
Version:	0.1.4
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pyphany/0.1/%{pname}-%{version}.tar.bz2
# Source0-md5:	9f9f4450671feae4a62dd793fa351fa4
BuildRequires:	epiphany-devel >= 1.6.3
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	intltool >= 0.33
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3
BuildRequires:	python-gnome-devel >= 2.9.4
BuildRequires:	python-pygtk-devel >= 2.5.3
%pyrequires_eq	python-modules
Requires:	epiphany >= 1.6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python Epiphany bindings.

%description -l pl
Dowizania Pythona dla Epiphany.

%prep
%setup -q -n %{pname}-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/*.la
rm $RPM_BUILD_ROOT%{_libdir}/epiphany-1.6/loaders/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/epiphany-1.6/loaders/lib*.so*
%{_libdir}/epiphany-1.6/extensions/*.py
%{_libdir}/epiphany-1.6/extensions/*.xml
%attr(755,root,root) %{py_sitedir}/gtk-2.0/*.so
%{_datadir}/pygtk/2.0/defs/*.defs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-epiphany.spec,v $
Revision 1.4  2005/04/23 12:30:41  freetz
- 0.1.4

Revision 1.3  2005/04/04 14:55:50  paladine
- updated to 0.1.3

Revision 1.2  2005/02/28 11:42:44  paladine
- updated to 0.1.2
- added missing BRs

Revision 1.1  2005/02/11 00:48:36  grzegol
- new

